[Sound-open-firmware] [PATCH] scripts: xtensa-build: fix alias detection for bxt/apl gcc
Liam Girdwood
liam.r.girdwood at linux.intel.com
Tue Jun 19 12:17:13 CEST 2018
use bash builtin type instead of -x (requires full path)
Signed-off-by: Liam Girdwood <liam.r.girdwood at linux.intel.com>
---
scripts/xtensa-build-all.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/scripts/xtensa-build-all.sh b/scripts/xtensa-build-all.sh
index 62b94b2..100ba6a 100755
--- a/scripts/xtensa-build-all.sh
+++ b/scripts/xtensa-build-all.sh
@@ -96,7 +96,10 @@ do
PLATFORM="apollolake"
XTENSA_CORE="X4H3I16w2D48w3a_2017_8"
ROOT="$pwd/../xtensa-root/xtensa-bxt-elf"
- if [ -x xtensa-bxt-elf-gcc ]
+
+ # test APL compiler aliases and ignore set -e here
+ type xtensa-bxt-elf-gcc > /dev/null 2>&1 && true
+ if [ $? == 0 ]
then
HOST="xtensa-bxt-elf"
else
--
2.17.1
More information about the Sound-open-firmware
mailing list